Last modified: 2013-09-25 09:53:53 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 46463 - Edit preview renders in wrong directionality
Edit preview renders in wrong directionality
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Liangent
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2013-03-22 21:01 UTC by Roan Kattouw
Modified: 2013-09-25 09:53 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Roan Kattouw 2013-03-22 21:01:40 UTC
Go to kkwiki and set your language and variant to kk-ar (Arabic variant of kk) in your preferences. Pages will now render RTL as expected. Edit a page, and the UI will be RTL with the content in Cyrillic and rendered LTR as expected.

Now preview the page. The content is transliterated to Arabic, but is rendered LTR rather than RTL.
Comment 1 Liangent 2013-03-23 07:27:45 UTC
Change-Id: Ib393f930eea967abc4b8fdc2f52d85d204b5a7ba
Comment 2 Gerrit Notification Bot 2013-08-08 07:16:08 UTC
Change 55454 merged by jenkins-bot:
(bug 46463) Mark edit preview as in page view language

https://gerrit.wikimedia.org/r/55454
Comment 3 Andre Klapper 2013-09-25 09:53:53 UTC
Patch got merged, hence assuming this is RESOLVED FIXED.
Please reopen if that's not the case.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links